commit:     71fed557815206d7b1380326fdfbcc56a4105bd7
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 14 12:19:46 2020 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Mon Sep 14 12:23:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71fed557

net-dialup/accel-ppp: version bump

Add snapshot with upstream changes,
fixing CVE-2020-15173

Gentoo-Bug: https://bugs.gentoo.org/741568
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Sergey Popov <pinkbyte <AT> gentoo.org>

 net-dialup/accel-ppp/Manifest                      |   1 +
 .../accel-ppp/accel-ppp-1.12.0_p20200913.ebuild    | 109 +++++++++++++++++++++
 2 files changed, 110 insertions(+)

diff --git a/net-dialup/accel-ppp/Manifest b/net-dialup/accel-ppp/Manifest
index 2272c95bf67..e3e8b2a8bf6 100644
--- a/net-dialup/accel-ppp/Manifest
+++ b/net-dialup/accel-ppp/Manifest
@@ -1 +1,2 @@
 DIST accel-ppp-1.12.0.tar 6758400 BLAKE2B 
776c0946decec2d88a0dfeb8e840573ae8d53d53d0fe921604667eaf4a5658e7d0cfa57f0b54eb61fcdf62b7a62a94ee405a01ad2a66ab76042d59cc3f79d42b
 SHA512 
f1d3b31ca36395a429214b7599a43755317d89391c5631dfd02df79ed8dd51c39f75fc56ac625fbc6e7d5b0f9c85699c5da612eb4e8af9eae8ad2d9b13a187ba
+DIST accel-ppp-1.12.0_p20200913.tar.bz2 1661195 BLAKE2B 
6ffdb140486e98c19c981999873f94e767682bec1a2bea1f2feb7bed6ce9d8b15a824605da0b60897501773f4ece9d71612385dd1eff61483fff5daadad9713d
 SHA512 
ecf325774507a8ddb1c6fe3c90aa2e25c72d006e9d96eabf66c7f1b67cfa70fc1073cf120c195d0823ad2532fa3504f6ab482d1842eb8b3e3dbafdb8b16a2ac6

diff --git a/net-dialup/accel-ppp/accel-ppp-1.12.0_p20200913.ebuild 
b/net-dialup/accel-ppp/accel-ppp-1.12.0_p20200913.ebuild
new file mode 100644
index 00000000000..43549ba9cb3
--- /dev/null
+++ b/net-dialup/accel-ppp/accel-ppp-1.12.0_p20200913.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic linux-info linux-mod
+
+DESCRIPTION="High performance PPTP, PPPoE and L2TP server"
+HOMEPAGE="https://sourceforge.net/projects/accel-ppp/";
+SRC_URI="https://dev.gentoo.org/~pinkbyte/distfiles/snapshots/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc ipoe lua postgres radius shaper snmp valgrind"
+
+RDEPEND="lua? ( dev-lang/lua:0 )
+       postgres? ( dev-db/postgresql:* )
+       snmp? ( net-analyzer/net-snmp )
+       dev-libs/libpcre
+       dev-libs/openssl:0="
+DEPEND="${RDEPEND}
+       valgrind? ( dev-util/valgrind )"
+PDEPEND="net-dialup/ppp-scripts"
+
+DOCS=( README )
+
+CONFIG_CHECK="~L2TP ~PPPOE ~PPTP"
+
+REQUIRED_USE="valgrind? ( debug )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.11.1-socklen.patch"
+)
+
+S="${WORKDIR}"
+
+pkg_setup() {
+       if use ipoe; then
+               linux-mod_pkg_setup
+               set_arch_to_kernel
+       else
+               linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       sed -i  -e "/mkdir/d" \
+               -e "s: RENAME accel-ppp.conf.dist::" accel-pppd/CMakeLists.txt 
|| die 'sed on accel-pppd/CMakeLists.txt failed'
+
+       # Do not install kernel modules like that - breaks sandbox!
+       sed -i -e '/modules_install/d' \
+               drivers/ipoe/CMakeLists.txt \
+               drivers/vlan_mon/CMakeLists.txt || die
+
+       # Fix version
+       sed -i -e "s/1.11/${PV}/" drivers/ipoe/ipoe.c || die
+       sed -i -e "s/1.11/${PV}/" drivers/vlan_mon/vlan_mon.c || die
+
+       # Bug #549918
+       append-ldflags -Wl,-z,lazy
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local libdir="$(get_libdir)"
+       # There must be also dev-libs/tomcrypt (TOMCRYPT) as crypto alternative 
to OpenSSL
+       local mycmakeargs=(
+               -DLIB_SUFFIX="${libdir#lib}"
+               -DBUILD_IPOE_DRIVER="$(usex ipoe)"
+               -DBUILD_PPTP_DRIVER=no
+               -DBUILD_VLAN_MON_DRIVER="$(usex ipoe)"
+               -DCRYPTO=OPENSSL
+               -DLOG_PGSQL="$(usex postgres)"
+               -DLUA="$(usex lua TRUE FALSE)"
+               -DMEMDEBUG="$(usex debug)"
+               -DNETSNMP="$(usex snmp)"
+               -DRADIUS="$(usex radius)"
+               -DSHAPER="$(usex shaper)"
+               $(use debug && echo "-DVALGRIND=$(usex valgrind)")
+       )
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+}
+
+src_install() {
+       if use ipoe; then
+               local 
MODULE_NAMES="ipoe(accel-ppp:${BUILD_DIR}/drivers/ipoe/driver) 
vlan_mon(accel-ppp:${BUILD_DIR}/drivers/vlan_mon/driver)"
+               linux-mod_src_install
+       fi
+
+       cmake_src_install
+
+       use doc && dodoc -r rfc
+
+       if use snmp; then
+               insinto /usr/share/snmp/mibs
+               doins accel-pppd/extra/net-snmp/ACCEL-PPP-MIB.txt
+       fi
+
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}d
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}d
+
+       keepdir /var/log/accel-ppp
+}

Reply via email to